Bug 138006 - LV creation, use remaining space in GB: rounding error failures
LV creation, use remaining space in GB: rounding error failures
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-11-03 14:43 EST by Derek Anderson
Modified: 2009-04-16 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 11:37:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-11-03 14:43:31 EST
Description of problem:
Create a VG and then create a new LV on it.  Change type dropdown to
"Gigabytes" and click "Use Remaining Space".  Give it a Name and click
"OK".

Result on the command line:
  Insufficient free extents (92782) in volume group VG1: 92783 required


Version-Release number of selected component (if applicable):


How reproducible:
Depending on the size of your VG, %100.  You may get lucky and the
rounding will not cause a problem.

Steps to Reproduce:
1.  Create LV on VG
2.  Use Remaining Space in Gigabytes
3.
  
Actual results:
LV not created, "Insufficient free extents (17151) in volume group
VG2: 17152 required"

Expected results:
LV created.

Additional info:
Comment 1 Jim Parsons 2004-11-11 18:22:43 EST
This is fixed in the upcoming 0.9.9-1.0 build. Now if the user wishes
to  use all remaining space on the VG for a new LV, clicking the 'use
remaining space' button stores the extents available, and passes the
discrete number of extents left to the lvcreate command. Yes, the case
where a user clicks the button, then edits the Size field before
clicking OK is covered! :-)
Comment 2 Derek Anderson 2004-11-12 11:37:28 EST
Verified in system-config-lvm-0.9.9-1.0.

Note You need to log in before you can comment on or make changes to this bug.